#
# spec file for package heartbeat (Version 2.99.10)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define build_cmpi 		0
%define with_extra_warnings   	0
%define with_debugging  	0
%define without_fatal_warnings 	1
%define start_at_boot 		0
%define stop_start_script       0
%define SSLeay		        perl-Net-SSLeay
%define gname haclient
%define uname hacluster
%define uid 90
%define nogroup nobody
%define shared_so_version 2
%define rhel_version 5
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define pkg_group System Environment/Daemons
%else
%define pkg_group Productivity/Clustering/HA
%endif

Name:           heartbeat
Summary:        The Heartbeat Subsystem for High-Availability Linux
Version:        2.99.2
Release:        6.1.sl5
License:        GPL v2 or later; LGPL v2.1 or later
Url:            http://linux-ha.org/
Group:          %{pkg_group}
Source:         heartbeat.tar.gz
Source1:        heartbeat.suse.in
Source2:        ldirectord.suse.in
Source100:      heartbeat.rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-resources = %{version}-%{release}
Requires:       /bin/ping perl-TimeDate
BuildRequires:  curl-devel e2fsprogs-devel glib2-devel iputils libxml2-devel lynx python
BuildRequires:	autoconf automake libtool
AutoReqProv:    on
%if 0%{?fedora_version}
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
%endif
%if 0%{?suse_version}
BuildRequires:  OpenIPMI-devel bison flex gdbm-devel libnet
PreReq:         %insserv_prereq %fillup_prereq
Requires(pre):    /usr/sbin/groupadd /usr/bin/getent /usr/sbin/useradd
%define nogroup nogroup
%define SSLeay		perl-Net_SSLeay
%if 0%{?suse_version} >= 1100
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} == 930
BuildRequires:  rpm-devel
%endif
%if 0%{?suse_version} == 1000
BuildRequires:  lzo lzo-devel
%endif
%if 0%{?suse_version} > 1000
Suggests:       pacemaker
%endif
%if 0%{?suse_version} < 1020
BuildRequires:  tcpd-devel
%endif
%if 0%{?sles_version} == 9
BuildRequires:  pkgconfig
%endif
%endif
%if 0%{?rhel_version} == 406
BuildRequires:  gcc-c++
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
Requires:       which
BuildRequires:  which
#Requires:               pygtk2 >= 2.4
%define uid 24
%if 0%{?fedora_version}
Requires(pre):          fedora-usermgmt
Requires(postun):       fedora-usermgmt
BuildRequires:  libnet-devel
%else
BuildRequires:  libnet
%endif
%if 0%{?fedora_version} > 7
BuildRequires:  openssl-devel
%endif
%endif
%if 0%{?mandriva_version}
BuildRequires:  libbzip2-devel
%if 0%{?mandriva_version} > 2006
BuildRequires:  libnet1.1.0-devel
%else
BuildRequires:  libnet
%endif
%else
# Hack to avoid needing to install a kernel on Mandriva just to build pacemaker
Requires:       iptables
%endif
#!BuildIgnore:  -iptables
%if %build_cmpi
BuildRequires:  openwbem-devel
%endif

%description
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package resources
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        OCF Compliant Cluster Resource Scripts
Group:          %{pkg_group}

%description resources
OCF resource agents suitable for use with the Pacemaker cluster
resource manager



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package common
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Common heartbeat components
Group:          %{pkg_group}
Conflicts:      %{name} < 2.99

%description common
Clustering components provided by the Heartbeat project that are
generally useful regardless of which cluster stack is being used.

Include a local (non-cluster-aware) resource manager, a basic
(non-cluster-aware) STONITH framework and some useful libraries for
asyncronous, non-blocking IPC and using gmainloop().



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package -n libheartbeat%{shared_so_version}
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        The Heartbeat Subsystem for High-Availability Linux
Group:          %{pkg_group}
Conflicts:      %{name}-pils
Conflicts:      %{name}-stonith

# Hack for those upgrading from packages with liblrm.so.0
Provides:       liblrm.so.0

%description -n libheartbeat%{shared_so_version}
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package -n libheartbeat-devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        The Heartbeat Subsystem for High-Availability Linux
Group:          Development/Libraries/C and C++
Requires:       libheartbeat2 = %{version}-%{release}
#Requires:       heartbeat-common = %{version}-%{release}

%description -n libheartbeat-devel
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package ldirectord
License:        GPL v2 or later
Summary:        A Monitoring Daemon for Maintaining High Availability Resources
Group:          %{pkg_group}
Requires:       %{SSLeay} perl-libwww-perl ipvsadm
%if 0%{?fedora_version}
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
%endif

%description ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
lditrecord is simple to install and works with the heartbeat code
(http://www.linux-ha.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.



Authors:
--------
    Jacob Rief <jacob.rief@tiscover.com>

%if %build_cmpi

%package cmpi
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Heartbeat CIM Provider
Group:          %{pkg_group}

%description cmpi
This package provides the CIM provider for managing heartbeat via
OpenWBEM.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%endif

%package devel 
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        The Heartbeat Subsystem for High-Availability Linux
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       libheartbeat-devel = %{version}-%{release}

%description devel
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%prep
###########################################################
%setup -n heartbeat
%if 0%{?suse_version}
cp $RPM_SOURCE_DIR/heartbeat.suse.in ./heartbeat/init.d/heartbeat.in
cp $RPM_SOURCE_DIR/ldirectord.suse.in ./ldirectord/init.d/ldirectord.in
%endif
%{?suse_update_config:%{suse_update_config -f}}
###########################################################

%build
# TODO: revisit -all
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
# Feature-dependent CFLAGS:
%if %with_extra_warnings
# CFLAGS="${CFLAGS} -Wshadow -Wfloat-equal -Waggregate-return -Wnested-externs -Wunreachable-code -Wendif-labels -Winline"
CFLAGS="${CFLAGS} -Wfloat-equal -Wendif-labels -Winline"
%endif
%if %with_debugging
CFLAGS="${CFLAGS} -O0"
%endif
# Distribution specific settings:
%if 0%{?suse_version} > 1001
CFLAGS="${CFLAGS} -fstack-protector-all"
%endif
%if 0%{?suse_version} < 1001
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/opt/gnome/%{_lib}/pkgconfig:/opt/gnome/share/pkgconfig"
%endif
%if 0%{?suse_version} > 1020
CFLAGS="$CFLAGS -fgnu89-inline"
%endif
%if 0%{?fedora_version} > 6
CFLAGS="$CFLAGS -fgnu89-inline"
%endif
export CFLAGS
./ConfigureMe configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_var} --infodir=%{_infodir} 		\
	--mandir=%{_mandir} --libdir=%{_libdir} 		\
	--libexecdir=%{_libdir} 				\
	--with-group-name=%{gname} --with-ccmuser-name=%{uname} \
	--with-group-id=%{uid} --with-ccmuser-id=%{uid} 	\
	--with-hapkgversion=%{version} 				\
%if %without_fatal_warnings
	--enable-fatal-warnings=no 				\
%endif
%if %build_cmpi
	--enable-cim-provider 					\
	--with-cimom=openwbem 					\
	--with-cmpi-headers=%{_includedir}/openwbem 		\
	--with-provider-dir=/usr/%{_lib}/openwbem/cmpiproviders \
%endif
	--disable-crm
export MAKE="make %{?jobs:-j%jobs}"
make %{?jobs:-j%jobs}
###########################################################

%install
###########################################################
#make DESTDIR=$RPM_BUILD_ROOT install-strip
make DESTDIR=$RPM_BUILD_ROOT install
(
  cd $RPM_BUILD_ROOT/etc/ha.d/resource.d
  ln -s %{_sbindir}/ldirectord ldirectord
)
test -d $RPM_BUILD_ROOT/sbin || mkdir $RPM_BUILD_ROOT/sbin
(
  cd $RPM_BUILD_ROOT/sbin
  ln -s /etc/init.d/heartbeat   rcheartbeat
  ln -sf /etc/init.d/ldirectord rcldirectord 
)
# Cleanup
[ -d $RPM_BUILD_ROOT/usr/man ] && rm -rf $RPM_BUILD_ROOT/usr/man
[ -d $RPM_BUILD_ROOT/usr/share/libtool ] && rm -rf $RPM_BUILD_ROOT/usr/share/libtool
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
chmod -x $RPM_BUILD_ROOT/%{_libdir}/heartbeat/ocf-shellfuncs
chmod -x $RPM_BUILD_ROOT/%{_sysconfdir}/ha.d/shellfuncs
###########################################################

%clean
###########################################################
if
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/heartbeat-%{version}
###########################################################

%pre common
%if 0%{?fedora_version}
/usr/sbin/fedora-groupadd %{uid} -r %{gname} &>/dev/null || :
/usr/sbin/fedora-useradd %{uid} -r -s /sbin/nologin -d %{_var}/lib/heartbeat/cores/%{uname} -M \
        -c 'heartbeat user' -g %{gname} %{uname} &>/dev/null || :
%else
if
  getent group %{gname} >/dev/null
then
  : OK group haclient already present
else
  /usr/sbin/groupadd -o -r -g %{uid} %{gname} 2>/dev/null || :
fi
if
  getent passwd %{uname} >/dev/null
then
  : OK hacluster user already present
else
  /usr/sbin/useradd -r -g %{gname} -c "heartbeat processes" \
  	-d %{_var}/lib/heartbeat/cores/%{uname} -o -u %{uid} \
	%{uname} 2>/dev/null || :
fi
%endif
#
###########################################################

%post common
/sbin/ldconfig

%postun common
/sbin/ldconfig

%post
/sbin/ldconfig
%if %{start_at_boot}
%if 0%{?suse_version}
    %{fillup_and_insserv -n heartbeat}
%endif
%if 0%{?fedora_version}
    /sbin/chkconfig --add heartbeat
%endif
%endif
###########################################################
%if 0%{?suse_version}

%preun
    %stop_on_removal heartbeat
%endif
%if 0%{?fedora_version}

%preun
%if %{stop_start_script}
    /sbin/chkconfig --del heartbeat
%endif
%endif
###########################################################

%postun
/sbin/ldconfig
%if 0%{?suse_version}
%if %{stop_start_script}
    %restart_on_update heartbeat
%endif
%{insserv_cleanup}
%endif
%if 0%{?fedora_version}
  test "$1" != 0 || /usr/sbin/fedora-userdel  %{uname} || :
  test "$1" != 0 || /usr/sbin/fedora-groupdel %{gname} || :
%endif
###########################################################
%if 0%{?suse_version}

%preun ldirectord
    %stop_on_removal ldirectord
%endif
%if 0%{?fedora_version}

%preun ldirectord
%if %{stop_start_script}
    /sbin/chkconfig --del ldirectord
%endif
%endif
%if 0%{?fedora_version}

%post ldirectord
  /sbin/chkconfig --add ldirectord
%endif

%post -n libheartbeat%{shared_so_version} -p /sbin/ldconfig

%postun -n libheartbeat%{shared_so_version} -p /sbin/ldconfig

%files
###########################################################
%defattr(-,root,root)
%{_libdir}/heartbeat/sfex_daemon
%{_libdir}/heartbeat/mach_down
%{_libdir}/heartbeat/mlock
%{_libdir}/heartbeat/req_resource
%{_libdir}/heartbeat/plugins/HBauth
%{_libdir}/heartbeat/plugins/HBcomm
%{_libdir}/heartbeat/plugins/HBcompress
%{_libdir}/heartbeat/plugins/quorum
#%{_libdir}/heartbeat/plugins/quorumd
%{_libdir}/heartbeat/plugins/test
%{_libdir}/heartbeat/plugins/tiebreaker
%{_libdir}/heartbeat/ha_config
%{_libdir}/heartbeat/ha_propagate
%{_libdir}/heartbeat/hb_addnode
%{_libdir}/heartbeat/hb_delnode
%{_libdir}/heartbeat/hb_setsite
%{_libdir}/heartbeat/hb_setweight
%{_libdir}/heartbeat/hb_standby
%{_libdir}/heartbeat/hb_takeover
%{_libdir}/heartbeat/heartbeat
%{_libdir}/heartbeat/ipfail
%{_libdir}/heartbeat/ccm
%{_libdir}/heartbeat/ResourceManager
%{_datadir}/heartbeat/ResourceManager
%{_datadir}/heartbeat/ha_config
%{_datadir}/heartbeat/ha_propagate
%{_datadir}/heartbeat/hb_addnode
%{_datadir}/heartbeat/hb_delnode
%{_datadir}/heartbeat/hb_setsite
%{_datadir}/heartbeat/hb_setweight
%{_datadir}/heartbeat/hb_standby
%{_datadir}/heartbeat/hb_takeover
%{_datadir}/heartbeat/mach_down
%{_datadir}/heartbeat/req_resource
%{_libdir}/heartbeat/dopd
%{_libdir}/heartbeat/drbd-peer-outdater
# Exclude pointless compatability symlinks
#%exclude %{_libdir}/heartbeat/SNMPAgentSanityCheck
%exclude %{_libdir}/heartbeat/TestHeartbeatComm
%exclude %{_libdir}/heartbeat/BasicSanityCheck
#%exclude %{_libdir}/heartbeat/ResourceManager
%exclude %{_libdir}/heartbeat/lrmtest
%exclude %{_libdir}/heartbeat/cts
# Exclude V1 Compatability symlinks - disabled for now...
#%exclude %{_libdir}/heartbeat/hb_setweight
#%exclude %{_libdir}/heartbeat/hb_standby
#%exclude %{_libdir}/heartbeat/hb_takeover
#%exclude %{_libdir}/heartbeat/mach_down
#%exclude %{_libdir}/heartbeat/req_resource
# Exclude V2 Compatability symlinks - disabled for now...
#%exclude %{_libdir}/heartbeat/hb_addnode
#%exclude %{_libdir}/heartbeat/hb_delnode
#%exclude %{_libdir}/heartbeat/ha_config
#%exclude %{_libdir}/heartbeat/ha_logger
#%exclude %{_libdir}/heartbeat/hb_setsite
#%exclude %{_libdir}/heartbeat/ha_propagate
%dir %{_var}/run/heartbeat
%dir %{_var}/lib/heartbeat
%dir %{_var}/lib/heartbeat/cores
%dir %attr (0755, %{uname}, %{gname})   %{_var}/run/heartbeat/ccm
%{_sysconfdir}/ha.d
%exclude %{_sysconfdir}/ha.d/shellfuncs
%{_sysconfdir}/init.d/heartbeat
%config(noreplace) %{_sysconfdir}/logrotate.d/heartbeat
# This belongs in the ldirectord package
%exclude %{_sysconfdir}/ha.d/resource.d/ldirectord
%{_libdir}/libclm.so.*
%{_libdir}/libhbclient.so.*
%{_libdir}/libccmclient.so.*
/sbin/rcheartbeat
%{_libdir}/heartbeat/apphbd
%{_bindir}/cl_respawn
%attr (2555, root, haclient) %{_bindir}/cl_status
%doc %{_mandir}/man1/cl_status.1*
%doc %{_mandir}/man1/ha_logger.1*
%doc %{_mandir}/man1/hb_addnode.1*   
%doc %{_mandir}/man1/hb_delnode.1*   
%doc %{_mandir}/man1/hb_standby.1*   
%doc %{_mandir}/man1/hb_takeover.1*   
%doc %{_mandir}/man8/heartbeat.8*
%{_sbindir}/sbd
%{_sbindir}/sfex_init
%{_datadir}/doc/packages/heartbeat/*.txt
%{_datadir}/doc/packages/heartbeat/*.html
#%{_datadir}/doc/packages/heartbeat/README
%{_datadir}/doc/packages/heartbeat/authkeys
%{_datadir}/doc/packages/heartbeat/startstop
%{_datadir}/doc/packages/heartbeat/haresources
%{_datadir}/doc/packages/heartbeat/ha.cf
###########################################################


%files -n libheartbeat%{shared_so_version}
%defattr(-,root,root)
%{_libdir}/libstonith.so.1*
%{_libdir}/libpils.so.%{shared_so_version}*
%{_libdir}/libapphb.so.%{shared_so_version}*
%{_libdir}/liblrm.so.%{shared_so_version}*
%{_libdir}/libplumb.so.%{shared_so_version}*
%{_libdir}/libplumbgpl.so.%{shared_so_version}*

%files common
%defattr(-,root,root)
%dir %{_libdir}/heartbeat
%dir %{_libdir}/heartbeat/plugins
%dir %{_datadir}/heartbeat
%dir %{_datadir}/doc/packages/heartbeat
%{_sysconfdir}/ha.d/shellfuncs
%{_sbindir}/stonith
%{_sbindir}/meatclient
%{_sbindir}/ha_logger
%{_sbindir}/hb_report
%{_sbindir}/ocf-tester
%{_sbindir}/sbd
%{_libdir}/stonith
%{_libdir}/pils
%{_libdir}/heartbeat/findif
%{_libdir}/heartbeat/ha_logd
%{_libdir}/heartbeat/ha_logger
%{_libdir}/heartbeat/lrmadmin
%{_libdir}/heartbeat/lrmd
%{_libdir}/heartbeat/ocf-returncodes
%{_libdir}/heartbeat/ocf-shellfuncs
%{_libdir}/heartbeat/plugins/RAExec
%{_libdir}/heartbeat/utillib.sh
%doc %{_mandir}/man8/apphbd.8*
%doc %{_mandir}/man8/stonith.8*
%doc %{_mandir}/man8/meatclient.8*
%doc %{_mandir}/man8/ha_logd.8*
%doc %{_datadir}/doc/packages/heartbeat/AUTHORS
%doc %{_datadir}/doc/packages/heartbeat/README
%doc %{_datadir}/doc/packages/heartbeat/COPYING
%doc %{_datadir}/doc/packages/heartbeat/COPYING.LGPL
%exclude %{_datadir}/doc/packages/heartbeat/ChangeLog
%{_datadir}/heartbeat/ha_cf_support.sh
%exclude %{_libdir}/heartbeat/ha_cf_support.sh
%{_datadir}/doc/packages/heartbeat/logd.cf
%{_datadir}/heartbeat/utillib.sh
%{_datadir}/doc/packages/heartbeat/apphbd.cf
%{_var}/run/heartbeat
%dir %attr (0700, root, root)           %{_var}/lib/heartbeat/cores/root
%dir %attr (0700, nobody,   %{nogroup}) %{_var}/lib/heartbeat/cores/nobody
%dir %attr (0700, %{uname}, %{gname})   %{_var}/lib/heartbeat/cores/%{uname}

%files -n libheartbeat-devel
%defattr(-,root,root)
%dir %{_includedir}/heartbeat
%{_includedir}/pils
%{_includedir}/stonith
%{_includedir}/clplumbing
%{_includedir}/heartbeat/lrm
%{_includedir}/heartbeat/apphb.h
%{_includedir}/heartbeat/apphb_notify.h
%{_includedir}/heartbeat/compress.h
%{_includedir}/heartbeat/ha_msg.h
%{_includedir}/heartbeat/hb_config.h
%{_includedir}/heartbeat/heartbeat.h
%{_includedir}/heartbeat/replace_uuid.h
%{_libdir}/liblrm*.so
%{_libdir}/libpils*.so
%{_libdir}/libplumb*.so
%{_libdir}/libapphb*.so
%{_libdir}/libstonith*.so
#%{_datadir}/heartbeat/logtest
%{_libdir}/heartbeat/logtest
%{_datadir}/heartbeat/lrmtest
%exclude %{_libdir}/heartbeat/lrmtest

%files devel
%defattr(-,root,root)
#%doc %{_datadir}/doc/%{name}-%{version}
%{_includedir}/saf/
%{_includedir}/ocf/
%{_includedir}/heartbeat/HBauth.h
%{_includedir}/heartbeat/HBcomm.h
%{_includedir}/heartbeat/hb_api.h
%{_libdir}/libclm*.so
%{_libdir}/libhbclient*.so
%{_libdir}/libccmclient*.so
#%{_libdir}/heartbeat/quorumdtest
%{_libdir}/heartbeat/clmtest
%{_libdir}/heartbeat/api_test
%{_libdir}/heartbeat/ipctest
%{_libdir}/heartbeat/ipctransientclient
%{_libdir}/heartbeat/ipctransientserver
%{_libdir}/heartbeat/transient-test.sh
%{_libdir}/heartbeat/apphbtest
%{_libdir}/heartbeat/base64_md5_test
%{_libdir}/heartbeat/ccm_testclient
%{_datadir}/heartbeat/BasicSanityCheck
%{_datadir}/heartbeat/TestHeartbeatComm
%dir %{_datadir}/heartbeat/cts
%{_datadir}/heartbeat/cts/LSBDummy
%{_datadir}/heartbeat/cts/README
%{_datadir}/heartbeat/cts/getpeinputs.sh
%{_datadir}/heartbeat/cts/*.py
%exclude %{_datadir}/heartbeat/cts/*.pyo
%exclude %{_datadir}/heartbeat/cts/*.pyc

%files resources
%defattr(-,root,root)
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
/usr/lib/ocf/resource.d/heartbeat
%{_libdir}/heartbeat/send_arp
%{_datadir}/heartbeat/ra-api-1.dtd
%exclude %{_libdir}/heartbeat/ra-api-1.dtd
###########################################################
# Files for ldirectord

%files ldirectord
###########################################################
%defattr(-,root,root)
%doc doc/README
%doc doc/COPYING
%doc ldirectord/ldirectord.cf
%doc %{_mandir}/man8/ldirectord.8*
#%doc %{_mandir}/man8/supervise-ldirectord-config.8*
%{_sbindir}/ldirectord
/sbin/rcldirectord
#%{_sbindir}/supervise-ldirectord-config
%{_sysconfdir}/init.d/ldirectord
%{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord

%changelog
* Mon Sep 29 2008 Lars Marowsky-Bree <lmb@suse.de>
- version 2.99.1-1
- Update source tarball to revision: d8710f41b9cb
- Includes many fixes to init scripts.
- Add sbd for shared-storage fencing.
* Thu Aug 21 2008 Lars Marowsky-Bree <lmb@suse.de>
- version 2.99.0-1
- Update source tarball to revision: f23531dd23ad
* Tue Apr  1 2008 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.3-18
- Added two small patches for Bug LF-1833: Do not overwrite op_status depending on op_rc
* Mon Jan 14 2008 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.3-1
- Update source tarball to revision: 9cdeae333990
- Statistics:
    Changesets:      153
    Diff:            141 files changed, 12279 insertions(+), 3103 deletions(-)
- This is the first release now that the CRM has becme its own project called
  Pacemaker and no longer included with Heartbeat.
- Without the CRM present, the following components are also no longer able to
  be included with Heartbeat (as they require CRM libraries) and are instead
  provided as part of pacemaker or the new pacemaker-pygui project.
   cim
   snmp
   mgmtd
   pygui
   tsa_subagent
- RPM-based distributions also have a new package layout
   heartbeat-resources ::= resource agents
   heartbeat-common    ::= components that are useful regardless of which stack is being used
   heartbeat           ::= components that are specific to the Heartbeat stack
- Changes since obs-2.1.2-24
+ apache RA: remove children in case the top process didn't
+ apcsmart: make message more descriptive
+ build (LF 1803): add -fgnu89-inline to CFLAGS if gcc version is >=4.1.3 and <4.3
+ by request from Andrew - Modified the external/ssh plugin to have a livedangerously flag
+ ccm (LF 1806): restart all instead of exiting (low impact)
+ Changed a test from causing a reboot to not triggering a reboot - because it doesn't seem to any more
+ Changed HIGHLY to STRONGLY in how strongly we recommend STONITH
+ Corrected a warning found on FC8 in the cl_reboot code
+ debian: Add dependancy on libpam-runtime (>= 0.76-14)
+ Debian: add libxml2-utils as a dependancy, because we need xmllint for the BSC
+ Debian: add the new ibmrsa-telnet stonith plugin
+ debian: clean python bytecode
+ debian: clean up stale heartbeat-2 files
+ debian: don't install bytecompiled python modules
+ debian: patches need to be distributed
+ debian: remove chown patch
+ debian: Update standards version from 3.7.2 to 3.7.3
+ debian: update the name of the series file to reflect the new release
+ docs/packaging: reshuffle hb_report documentation and include the html version
+ dopd: don't cl_free variables on local stack
+ dopd: don't hardcode path of drbdadm; it has to be in the PATH, though.
+ dopd: fix potential segfault due to leakage of invalid/freed pointer
+ dopd: make it work with multiple concurrent outdate requests
+ external ipmi plugin caused error messages when getting metadata on machine w/o ipmitool installed.  This somewhat messed up BasicSanityCheck.
+ Filesystem: Make mount point required for the GUI (Hideo Yamauchi)
+ Fix memory leak in external plugin handling
+ fixes for fedora: system(3) function return value cannot be ignored. Also added a missing RPM build dependency.
+ hb_report: add quotes around args to test -f
+ hb_report: don't surprise user by reading the files from the current directory
+ hb_report: include hostcache
+ hb_report: replace arch with uname -m
+ hg: from last changes to recover from media errors, fixed a stupid typo with a reversed boolean condition.
+ hg: LF bug 1794: ComponentFail tests failing
+ hg: Makefile for external stonith commands was missing new stonith plugin in the extra_dist section
+ High: Heartbeat: Include an option to start the CRM in respawn mode
+ init: add should-start/stop $remote_fs to init script
+ init: should-start/stop $remote_fs to init script
+ ipc (LF 1339): enable message compression
+ IPv6addr: Check for netinet/icmp6.h instead of  linux/icmpv6.h
+ IPv6addr: Check for netinet/icmp6.h instead of linux/icmpv6.h
+ iscsi RA: wait for udev to create the links
+ Junko IKEDA reported a problem building on Red Hat with tog-pegasus installed - this fixes that problem - the code half-setup things if pegasus was present but --enable-cim-provider wasn't enabled
+ ldirectord: add forking mode
+ ldirectord: SimpleTCP service check
+ ldirectord: SimpleTCP service check documentation
+ ldirectord: Various updates to OCF compatible RA
+ lf bug 1678: stonith command core dumps with -h option
+ LF bug 1690: there should be a tool to audit (validate) node names in constraints among other things...
+ LF Bug 1732: Error handling is bad for comm media
+ LF bug 1732: restructuring code towards being able to restart (reopen) communication media when they die
+ LF bug 1795 - timeout control for crm_mon --one-shot
+ LF bugzilla 1667:  ppc64 RPMs contain 32-bit binaries
+ LRM (LF 1821): resource timing information
+ lrm reg tests: handle OCF_ROOT, warn about xmllint missing
+ LRM regtest: update filters to match the lrmadmin output
+ lrmadmin: include time.h
+ Monitor timeouts need to increment fail counts
+ OCF-resources: SphinxSearchDaemon is not installed
+ OpenBSD bugs: 1731 1761 1743 1659
+ packaging: include iscsi
+ pgsql RA: handle the missing pg software properly (thanks to Serge)
+ pgsql RA: move check for root down to enable meta-data for regular users (thanks Serge)
+ pgsql RA: postmaster confusion
+ Put the _source_ (.in) file under source control.  Groan...
+ RA Filesystem: add lustre to the list of fs which don't need fsck
+ RA iscsi: dropped complex code in favour of udev and several small cleanups
+ RA iscsi: fix meta-data xml
+ RA iscsi: get rid of one annoying message ("no active sessions")
+ RA iscsi: new iscsi resource agent
+ RA iscsi: support iscsi sles compat mode
+ RA iscsi: two echo statements removed
+ RA mysql: don't look for mysql users in the OS database (thanks to Christian Rishoj)
+ RA SAPDatabase/SAPInstance: report proper exit codes in case required software is not installed
+ RA SphinxSearchDaemon: a new RA thanks to Christian Rishoj
+ recovermgrd: changed the code to look at the return code from fwrite, to make Fedora 8 compiler compile recovermgrd warning-free.
+ Removed bzip2-devel as a build dependency for all but Fedora and RH
+ RPM and specfile changes to fix part of and help diagnose part of Junko IKEDA's problem with tog-pegasus
+ RPM spec file: Added ciblint to installed programs
+ RPM specfile change:  made is_fedora macro turn off is_rhel macro
+ shell scripts: various cases of overquoting in the for statement (thanks to Takekazu Okamoto)
+ stonith ibmrsa-telnet: new stonith plugin
+ stonith ipmi: new external stonith plugin
+ utillib.sh: update finding the binary which coredumped
+ Xen RA: new improved (thanks to Sebastian Reitenbach)
+ [patch] init: add should-start/stop $remote_fs to init script
* Mon Nov 26 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.2-24
- Update the source tarball to revision ef1be5978d97
- Statistics:
    Changesets:       104
    Diff:             296 files changed, 3464 insertions(+), 3275 deletions(-)
- Test hardware:
  + 4-node vmware cluster (sles10-sp1/256Mb/vmware stonith) on a single host (opensuse10.3/2Gb/2.66Ghz Quad Core2)
  + 7-node EMC Centera cluster (sles10/512Mb/2Ghz Xeon/ssh stonith)
- All testing was performed with STONITH enabled
- Pending bugs encountered during testing:
  1750 - logd: ipc_bufpool_update: magic number in head does not match
- Changes since 2.1.2-15
+ High: CIB: Fix the behavior of update_attr() and delete_attr() when the command is ambiguous
+ High: CRM: In ccm_have_quorum(), an OC_EV_MS_PRIMARY_RESTORED event means we _do_ have quorum
+ High: PE: Bug 1765 - Prevent master-master colocation constraints from preventing slaves from starting
+ High: PE: Introduce a new API call for determining the location of complex resources
+ High: PE: Set next_role recursivly so that group promotion will work
+ High: PE: increment_clone() did not overflow correctly 9->10, 99->100, etc
+ High: crmd: Prevent shutdown hangs caused by pending ops that can't be cancelled - because the no longer exist in the lrm
+ High: heartbeat: Fix getnodes() compilation with gcc 4.3
+ High: Novell 293922: Don't use non-blocking writers, but instead don't block
+ High: Novell 293922: Heartbeat network processes would block on full buffers.
+ Medium: core: Do not disconnect blocking write processes, but discard traffic.
+ Medium: PE: All other things being equal, prefer to keep non-failed instances alive
+ Medium: PE: Create a syntactic shortcut for the common use-case of "{resource} prefers {node} with {score}"
+ Medium: PE: Dont make changes to location constraints, when applying to groups, persistent
+ Medium: TE: Allow the CRM to limit the number of resource actions the TE can execute in parallel.
+ Medium: TE: Pending operations shouldn't be processed
+ Medium: attrd: Bug 1776 - Attrd doesn't exit or reconnect when the CIB is respawned
+ Medium: crm: Dont generate core files for non-fatal assert (ie. the CRM_CHECK macro).
+ Medium: crmd: Don't remap LRM_OP_PENDING when building full lrm updates
+ Medium: crmd: Prevent shutdowns initiated immediately after a node is removed from the cluster with hb_delnode from stalling.
+ Medium: LF bugzilla 1757: apache resource agent grep methodology can't handle newlines - even if you change the pattern
+ Low: Admin: Do a full simulation when we have the live CIB - since we'll always have a status section
+ Low: Admin: crm_standby - Don't complain about missing values, print the default value instead
+ Low: PE: Actions for stonith agents should never default to requiring fencing or quorum
+ Low: PE: ptest - Handle malformed inputs more gracefully
+ Low: Rename example ha_logd.cf file to the proper name.
+ Low: cib: Increase the retry interval when connecting to the ccm to 3s
+ Low: crmd: Provide a more informative error when DCs detect other DCs during a join
+ Low: heartbeat: Use the correct define when choosing to enable valgrind - Keisuke MORI
+ Low: LF bug 1705 - cl_respawn core dumps when given -h or --help
+ Low: changed configure.in to force 64-bit objects when on gcc-based ppc64 platform
+ Low: configure.in - autoconf spells ppc64 funny...
- Unclassified user impact
+ LF 1766: Heartbeat installs man pages in the wrong directories by default...
+ LF Bug 1662: Put in some RHEL changes provided by Keisuke MORI
+ LF bug 1393 - Cannot rename /var/lib/heartbeat/hostcache.tmp to /var/lib/heartbeat/hostcache (scope, risk and severity: all minor)
+ ccm (LF 1546): ensure that the membership instance number never decrements (thanks to Guochun Shi)
+ ccm: speed up ccm considerably in case a node is alone in the membership (thanks to MATSUDA, Daiki)
+ Debian: Build: Add dependacy on gawk as it is required by the OCF IPaddr resource
+ Debian: Build: rename ha_logd.cf to logd.cf in debian/heartbeat.files
+ hb_report (LF 1763): multiple fixes
+ hb_report: add more packagers support (thanks to Sebastian Reitenbach)
+ hb_report: fix handling of debug option
+ hb_report: fix the previous fix (sorry)
+ hb_report: include package verification
+ hb_report: reduce the number of ssh invocations by 1
+ hb_report: update documentation on extracting CTS tests
+ hb_report: use getopts instead of getopt(1) for the sake of portability
+ hbagent: fix memory leaks on dropping global resources (thanks to Keisuke MORI)
+ hbagent: removed the const qualifier from parameter
+ hbagent: reset gMembershipTable on dropping global resources
+ hbclient: fix memory leaks on signon/signoff (thanks to Keisuke MORI)
+ heartbeat: Increase MAXMSGHIST; reduce debugging output.
+ ldirectord: allow per-virtual checkinterval configuration
+ lvs-users: Patch for ldirectord when using mysql service
+ mgmtd (LF 1719): fix the pam file for suse
+ mysql RA (LF 1760): defaults for OpenBSD (thanks to Sebastian Reitenbach)
+ RA Xinetd (LF 1742): multiple fixes
+ RA tomcat: allow consecutive starts
+ stonithd: (LF 1727): fix dropping privileges
+ stonithd: a copy/paste typo
+ stonithd: check for storage size when copying the host list
+ stonithd: drop root privileges earlier
+ stonithd: shuffle dropping privileges around again
* Thu Oct 25 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.2-15
- Update the source tarball to revision c492f19cb583
- Statistics:
    Changesets:       158
    Diff:             173 files changed, 8712 insertions(+), 4787 deletions(-)
- Test hardware:
  + 4-node vmware cluster (sles10-sp1/256Mb) on a single host (opensuse10.2/2Gb/2.66Ghz Quad Core2)
  + 6-node EMC Centera cluster (sles10/512Mb/2Ghz Xeon)
  + (lmb)    7-node Xen cluster on a single host
  + (debltc) 6-node ppc64 cluster
- Pending bugs encountered during testing:
  1562 - heartbeat: hostcache file rename error at startup
  1737 - crmd: Inconsistent join state detected (Hard to reproduce, possible fix included)
  1750 - logd: ipc_bufpool_update: magic number in head does not match
- Changes since 2.1.2-4
+ High: cib: G_main_del_IPC_Channel() doesn't like being called with a NULL pointer and crashes
+ High: crm: Bug 1749 - Make sure the diff-related digests contain the complete CIB, not just the first line
+ High: crmd: Prevent shutdown hangs by allowing the crmd to forget about pending actions for deleted resources
+ High: PE: Bug 1712 - Ensure manditory ordering constraints can cause complex resources to be shut down
+ High: PE: Clone colocation fixes
+ High: PE: Ensure that resources depending (by order) on a master are not promoted if no master is available
+ High: PE: Fix manditory ordering with m/s resources
+ High: PE: Prevent an infinite pe/te loop when reprobing with resources in master mode
+ High: PE: Prevent use-of-NULL in crm_mon when date_expressions are used by ensuring that data_set->now is always set
+ High: PE: Prevent use-of-NULL when the admin creates a colocaiton constraint with an empty group
+ High: PE: Relax an assumption regarding clones that is not true when they are unmanaged
+ High: PE: Remove an accidental commit that, when called, causes use-of-NULL
+ High: PE: Remove an errant call to exit() than prevented an assert from being triggered
+ High: RA: Novell 329833 - dotted-quad netmask notation broken in findif
+ Medium: cib: Include digests of the cib a diff was made from and verify it when applying
+ Medium: CRM: Re-evaluate appropriate IPC message queue lengths and throtle IPC _clients_ that hit them
+ Medium: crmd: Bug 1737 - Inconsistent join state detected - Possible fix
+ Medium: PE: Bug 1722 - By default, exhibit the old start-failures-are-fatal behaviour regardless of how resource-failure-stickines is set
+ Medium: PE: Enact a saner default for rsc_order.score (s/0/INFINITY)
+ Medium: PE: Fix minor memory leak when stopping orphaned resources
+ Medium: PE: Master internal ordering enhancements. Added stopped->start, stopped->promote.
+ Medium: Tools: Bug 1738 - the crmd ignores some requests from crm_resource because it exited too quickly
+ Low: contrib: dopd - Remove a pointless and annoying dependancy on the crm
+ Low: crmd: Increase the retry interval when stalling the FSA to 2s (used when connecting to the ccm, lrmd, cib)
+ Low: crmd: Update the CIB with the node's version data when it becomes DC
+ Low: crmd: Use the unaltered rc for timed out operation events from the lrmd
+ Low: Debian: heartbeat doesn't depend on libperl-dev (probably confused by '-lperl' in configure.in)
+ Low: heartbeat: Some compilers feel that the fcli variable could be used uninitialized - shut them up
+ Low: PE: Avoid pointless copying of XML items (actions) during graph creation
+ Low: PE: Convert all the resource's boolean flags into a single bit-field
+ Low: PE: Produce a config error when a clone contains more than one resource/group to clone
+ Low: RA: PureFTPd - Support debian's pure-ftpd-wrapper script.  Patch by Raoul Bhatia
+ Low: Stonith: external/rackpdu - Fix the metadata short descriptions
+ Low: ccm: Bug 1723 - fix logging (thanks to MATSUDA, Daiki)
- Unclassified user impact
+ gui: Add "meta_attributes" support to mgmt
+ gui: Add boolean_op for location rules in mgmt
+ gui: Make several fields of rsc_location editable
+ gui: Prevent clone and master_slave from belonging to group
+ gui: Prevent haclient from falling into an error caused by blank resource metadata
+ gui: Provide "Default" setting for crm configurations
+ gui: Provide complete pengine and crmd configurations with dynamic rendering
+ gui: Rename "Places" to "Locations" to match with the CIB name
+ gui: Resolve target_role problem for sub-resource
+ gui: Specify the default type of added item to correspond to the object that the cursor focused on
+ heartbeat: Remove one unlink() of the temporary hostcache file.
+ LF bug 1502: udpport statement in ha.cf is ignored by heartbeat - trivial fix
+ LF bug 1589: ia64 heartbeat unaligned access messages (SGI965396) - copy fields in structures - minor fix
+ LF bug 1679: hardcoded heartbeat userid and group in init script (minor fix)
+ LF bug 1681: BSC fails to to identify active interface on OpenBSD (minor change)
+ LF bug 1700: HA Signon always reports success - fix has minor scope.
+ LF bug 1702: during emergency restarts, heartbeat doesn't close watchdog correctly.  Fix is minor.
+ LF bug 1712: ha_logd prevented node from shutting down - changed code to use the waitout() primitive - scope fix - trivial-minor
+ LF bug 1731: wrong location of libraries for OpenBSD 64Bit architectures, with patch
+ LF bug 1734 - removed duplicate return statement as per bug report.
+ lrm stonith plugin: fix exit code handling
+ lrmd (LF 1715): increase the max dispatch time for lrmd
+ lrmd (LF 1729): revise return codes
+ Put in a missing include of <memory.h> for the DRBD code.  Change scope: trivial
+ RA: mysql, pgsql - use getent(1) instead of /etc/passwd (thanks to Raoul Bhatia)
+ RA: mysql: According to Geoff Harrison the sql check is broken without this
+ RA: mysql: Allow arbitrary commandline arguments for mysqld (by Raoul Bhatia)
+ RA: Raid1: Allow the homehost setting to be specified.
+ RA: Xinetd: Fix stop/monitor to not fail if service isn't available yet.
+ stonith/ibmrsa: allow ',' in the hostlist
+ STONITH: external/ssh: Disable StrictHostKeyChecking and PasswordAuthentication by default.
+ stonithd (LF 1714,1727): fix a race condition
+ stonithd (LF 1726): a hostlist may be empty
+ stonithd (LF 1727): change attach shmem seg to read only
+ stonithd/lib: replace cookie generation with uuid
+ stonithd: have -a really mean startup alone
+ stonithd: increase the maxdispatchtime
+ stonithd: library code review and cleanup
+ tools: Add hb_report - a reporting utility
* Tue Sep 25 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.2-4
- Update the source tarball to revision 702e4f418ca8
- Statistics:
    Changesets:       109
    Diff:             188 files changed, 5926 insertions(+), 2003 deletions(-)
- Test hardware:
  + 4-node vmware cluster (sles10-sp1/256Mb) on a single host (opensuse10.2/2Gb/2.66Ghz Quad Core2)
  + 6-node EMC Centera cluster (sles10/512Mb/2Ghz Xeon)
- Pending bugs encountered during testing:
  1377 - llm_get_nodename: index(1719751538) out of range
  1561 - Cluster node c001n03 returning after partition
  1562 - hostcache file rename error at startup
  1700 - HA Signon always reports success
  1711 - Shutdown blocked by call to cl_flush_logs()
  1712 - Shutdown blocked by ha_logd
  1714 - Stonithd core dumps
- Changes since 2.1.2-2
+ High: Core: Prevent logging buffer overflow - ensure the entity is NULL terminated.  Patch from Simon Graham.
+ High: DTD: Remove stray character that made the DTD invalid
+ High: PE: Ensure mandatory ordering constraints behave correctly
+ High: PE: Implement a smarter algorithm for colocation
+ High: PE: Include preferences of colocated resources when promoting masters
+ High: PE: Make sure only the correct number of cloned groups are started
+ High: PE: Make sure the merge_weights function is called for complex resources
+ High: PE: More accurate method of detecting colocation loops in native_merge_weights
+ High: PE: Optimize the merge_weights functionfor groups
+ High: RA: Remove bashism from Filesystem OCF agent
+ High: RA: Filesystem - Fix path reference.
+ High: RA: o2cb - Fix path broken in recent cleanups
+ High: clplumbing: Use the correct environment variable when deciding to log via ha_logd
+ High: crmd: Tell the LRM to refresh the resource's default parameters
+ High: core: Bug 1697 - really remove proctrack sources (performance/memory leak fix)
+ High: core: An open call with the O_CREAT flag was missing the file mode.
+ Medium: Core: Ensure heartbeat flushes all its logs before exiting
+ Medium: ipc: Up MAXMSG to match MAXUNCOMPRESSED to allow larger clusters.
+ Medium: Logging: Sanitize and centrally define the log facility used by various subsystems
+ Medium: PE: Bug 1705 - Don't segfault when allocating empty groups
+ Medium: PE: Bug 1710 - A resource's failcount was ignored on nodes with no operations for the resource
+ Medium: PE: Enact a saner default for rsc_order.score (s/0/INFINITY)
+ Medium: RA: EvmsSCC - Handle start failures caused by peers starting at the same time (Patch from Jo De Baer)
+ Medium: RA: Treat migrating (status 1) as running to avoid - patch by Per Andreas Buer
+ Medium: Stonith: Remove code-reuse to prevent excessive logging by the LRM
+ Medium: Stonith: ipmilan: fix potential segvfault in options parsing
+ Medium: cib: Improved transparency when in operating in degraded mode
+ Low: Admin: Bug 1691 - crm_resource doesn't complain about empty strings as property values
+ Low: build: configure.in: fix for platforms with libc in /lib/tls
+ Low: CIB: Allow notification to remote clients
+ Low: CRM: DTD - Expand the list of accepted values for boolean fields
+ Low: CRM: DTD - Explicitly specify a default for rsc_colocation.symmetrical
+ Low: DTD: Include helpful comment for rsc_order constraints
+ Low: PE: Downgrade logging when we fallback to default option values
+ Low: PE: More efficient logging of orphan resources
+ Low: PE: Prevent users from trying to use on_fail=fence and stonith-enabled=false
+ Low: PE: Stop the master placement score from affecting the synapse's priority
+ Low: RA: Add a tomcat OCF agent from Yamauchi Hideo
+ Low: RA: ManageVE - Fix status when VE files are not persistent
+ Low: RA: Put in updates to the Informix script as supplied by Lars Forseth
+ Low: RA: apache - drop annoying messages if no configuration files are found
+ Low: Stonith: external/ssh - simplify the reset command and wait the same amount of time as the non-external variant
+ Low: Stonith: Disable ipmilan by default
+ Low: TE: Pause for a moment before trying to reconnect to stonithd
+ Low: Tools: Allow pingd to change identity based on the name of its executable - workaround for Bug #1701
+ Low: logd: Update the default config file to reflect the new default log facility
+ Low: tools: haresources2cib.py: update parameter lists and configuration defaults
- Unclassified impact
+ lrm: Bug 1458 - include timing information in the op data.
+ lrm: Bug 1684 - a meta-data operation fix introducing short sleep on zero reads
+ lrm: log non-recurring operations
+ lrm: performance - replace linear with binary search for msg type.
+ lrm: performance - remove unnecessary memstat
+ lrm: raexecocf: a fix for bug introduced in 2a787bbd73f6; longer sleep in get_resource_meta
+ RA: Bug 1692 -  monitoring fails for apache OCF resource.  Put in simple fix to apache resource agent monitoring from Sebastian Reitenbach
+ RA: eDir88 - fix to allow meta-data to work in case NDS is not installed
+ RA: pgsql - patch to remove bashism
+ Stonith: Put in an APCmastersnmp.c patch from Peter Kruse which makes the plugin work with new APC master switches
+ Stonith: Bug 1615 - get the list of hosts from an RA asynchronously
+ mgmtd: allow old clients to connect
* Thu Aug 16 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.2-2
- Update the source tarball to revision 098c0993b1d0
- Statistics:
    Changesets:	6
    Diff:		11 files changed, 402 insertions(+), 46 deletions(-)
- Changes since 2.1.2-1
+ High: clplumbing: Use the correct environment variable when deciding to log via ha_logd
+ High: PE: Bug 1682 - Prevent use-of-NULL when clones have no active children
+ High: TE: target_rc should default to 0 (LRM_OP_DONE) to detect monitor actions that fail the first time they are executed
+ Medium: PE: Bug 1685 - Supply the correct defaults for rsc_order constraints
+ Low: Admin: crmadmin - exit with rc=0 when the command completed successfully
* Mon Aug 13 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.2-1
- Update the source tarball to revision 1ad8497bc55d
- Statistics:
    Changesets:	340
    Diff:		614 files changed, 39588 insertions(+), 32588 deletions(-)
    ^ A large amount of dead code from Intel was removed
- A full list of changes can be seen at
     http://hg.linux-ha.org/dev/shortlog/1ad8497bc55d
- Mercurial users can obtain the full list by executing:
     hg log -M --template "{desc|firstline|strip} CS: {node|short}\n" -r e3c9306b9223:1ad8497bc55d | sort -f
- Testing notes
+ On my underpowered cluster, the CCM borked a number of times on the Stonithd test
  However since the CCM hasn't been touched in an age, its hard to conclude there are regressions from previous releases.
  If anyone would like to volunteer to maintain the CCM (or the GUI for that matter), it would be much appreciated.
- Changes since 2.1.2 (Upstream)
+ High: CRM: Update crm/cib feature sets and the set of tags/attributes used for feature set detection
+ High: CIB: Improved CCM interaction
+ High: CRM: filter_action_parameters() - Make a copy of interval/timeout in as they're about to be free'd
+ High: PE: Break graph loops involving stonith
+ High: PE: Only create _one_ pseudo op per name (all_stopped/stonith_up)
+ High: PE: The all_stopped action should only be part of the graph when the stop actions are runnable
+ High: PE: all_stopped should only depend on native resources to avoid recursion
+ High: PE: check_action_definition() - Ensure the meta attributes are also set so that the digest is calculated correctly (and consistently with the crmd)
+ High: PE: Use failcount to handle failed stops and starts (set default_resource_failure_stickiness > 0 for the old blocking behaviour)
+ High: TE: Allow reconnection to stonithd if it is respawned
+ High: TE: Allow the TE to reconnect if stonithd is killed and respawned
+ High: cib: Allow the CIB to reconnect if the CCM is killed and respawned
+ High: cib: Handle master updates that fail DTD validation
+ High: cib: Support the removal of multiple child objects - required for subsequent commit
+ High: crmd: Improvements to shutdown sequence (particularly in response to failures)
+ High: crmd: Sanitize the maintenance of node_state entries
+ High: crmd: Simplify node_state maintenance
+ High: stonithd: Sanitize the login/logout functions and add the ability to reset the callback IPC channel
+ Medium: cib: Ensure fflush() and fsync() are always called when writing XML digests to disk
+ Medium: crm: Ensure fflush() and fsync() are always called when writing XML to disk
+ Medium: crm: Bug 1680 - parse_xml() can fail to detect mismatching close tags
+ Medium: PE: Dont check the parameter digest of orphan operations
+ Medium: TE: Dont modify the failcount for 'pending' action updates (rc=-1)
+ Medium: admin: Set the exit code to non-zero if crmadmin can't connect to the crmd
+ Low: PE: Warn when multiple nodes have the same uname
+ Low: Stonith: New external plugin for handling 'APC Switched Rack PDU AP7952' devices - contributed by Sergey Maznichenko
+ Low: cib: Enhancements to logging of DTD errors
+ Low: cib: Refactor reading and writing of the CIB to disk
+ Low: crmd: Ensure our assumption that all resources have a class and type is true
+ Low: crmd: Simplify the detection of active actions and resources at shutdown
+ Low: Admin: Bug 1603 - Allow CIB digest files to be verified
+ debian: make heartbeat binNMU safe
+ stonith: ipmilan - accept documented auth and priv values
+ GUI: OSDL 1449 / Novell 291749: GUI should not overwrite more specific settings of contained resources.
+ RA: IPaddr2 - Make the check for the modprobe/iptables utilities conditional on the IP being cloned
+ RA: apache - make status quieter
+ RA: Added Informix resource agent
+ RA: eDir88 resource can't be stopped ?
+ RA: patch to fix bashism in a number of agents
+ Tools: OSDL Bug 1666: in BSC, make sure temp rsc dir exists for RAs
+ Tools: ocf-tester - use the default value for OCF_ROOT if it exists
+ Tools: ocf-tester - add capability to test with lrmadmin/lrmd
- Changes since 2.1.0-2
+ A little cleanup to make the RAs more uniformly not have $OCF_ROOT paths in them
+ Added code to cause logging to be restarted if it dies.
+ Admin: Allow crm_diff to operate on compressed inputs
+ Admin: Bug #1621 - crm_mon should show failed starts of a resource
+ Admin: Bug 1632 - Make sure error messages regarding trailing XML input characters are seen
+ Admin: Bug 1635 - crm_failcount should not complain if the attribute was already deleted
+ Admin: Bug #1622 - crm_attribute: Include --inhibit-policy-engine in the help message
+ Admin: crm_resource - remove an overly simplistic check for when -C can safely be used
+ Admin: crmadmin - include Hg version in --version output
+ Admin: ptest is useful enough to warrent installation to sbindir
+ BSC: 'trap' had been continuing instead of exiting
+ Bug 1612: haresources2cib @substitution@ broken (probably by a global change)
+ Build: No longer generate RAs now that there is a sane way to set directory locations and find binaries
+ CIB: Bug 1602 - Archive invalid/unusable configurations so we can continue
+ CIB: Bug 1633 - Pass the actual error from activateCibXml back to the user
+ CIB: config_changed always needs to be calculated when processing write commands
+ CRM: Bug 1625 - Cannot update an operation's timeout
+ CRM: Clean up processes left over by crm_abort().  Initial patch by DAIKI MATSUDA
+ CRM: Fix compare_version() to actually work correctly on a regular basis (broken since 2.0.2)
+ CRM: Fix matching of objects with an ID when the match-spec has no ID
+ CRM: Make logging setup consistent and do not log the command-line to stderr.
+ CRM: Only detect timeout changes for recurring ops
+ CRM: Remove deBug code that should not have been committed
+ Corrected a typo which only matters on 32-bit machines :-(
+ Corrected so that on *BSD it passes in 2 parameters, instead of 2.
+ DTD: Add helpful comment regarding rsc_colocation objects
+ Fix location of pingd binary
+ Fixed a dangling reference to a former bin directory name.
+ Fixed a fairly-major error in IPaddr - it didn't handle CIDR netmasks correctly.  But ifconfig didn't complain either...
+ Fixed a minor stonithd testing error (not much of a Bug)
+ Fixed a syntax error in Filesystem:  missing then symbol
+ Hopefully fixed a long-time SNMP annoyance.  When the membership layer shuts down (as it does in BSC),
+ LF Bug # 1617 - Miscellaneous RPM and source cleanups
+ LF Bug # 1644 - Pinging loopback in BasicSanityCheck fails with EPERM
+ LF Bug # 960 - rpm: first-time install fails
+ LF Bug 1513 - building RPM from the 2.0.8 tarball fails
+ LF Bug 1527 - inappropriate warnings about core files logged by heartbeat (SGI961667)
+ LF Bug 1534 - compiling/installation error on OpenBSD
+ LF Bug 1576: shutdown hangs under certain shells // LF Bug 1534: compiling/installation error on OpenBSD
+ LF Bug 1654 - HA_SBIN_DIR is not set on ocf scripts
+ LF Bug - compiling/installation error on OpenBSD
+ LF Bug 1522: Strt hb_counter on time_t
+ LF Bug # 1534 - compiling/installation error on OpenBSD
+ LF Bug # 1645 - Minimize arch-dependent differences, maintain compatibility -- More on this Bug...
+ LF Bug # 1650 - heartbeat should put scripts/non arch specific things in /usr/share
+ LF Bug # 1661 - crm_verify aborts checking and reoccurring crm_abort errors in logs
+ LF Bug # 1661 - move symlink creation out of specfile and into Makefile
+ LF Bug 1650: heartbeat should put scripts/non arch specific things in /usr/share
+ LF Bug # 1645: Minimize arch-dependent differences, maintain compatibility
+ LF Bug 1650 - heartbeat should put scripts/non arch specific things in /usr/share
+ LF Bug 1665 - fix references to moved scripts - courtesy of Tuomo Soini
+ LRM plugins: skip dot-files.
+ Made the stonith -h core dump go away - by fixing a variety of small things in STONITH.
+ Minor patch to stonith patch - to keep empty result from being seen as out of memory
+ Misc: Move a few shell functions to the only script that uses them
+ More file location tweaks - mostly GUI-related.
+ OCF: Detect and warn of use of deprecated 'ocf-shellfuncs' and 'ocf-returncodes'.
+ OCF: Fixed the check in have_binary. Handle checks for programs with --arguments
+ OCF: Provide the location of /sbin as used by some agents (HA_SBIN_DIR)
+ OCF: Remove unused variables
+ OSDL Bug 1606: okay for stonith plugins to have no parameters
+ PE: Add regression test for previous commit
+ PE: Aggregate the startup of fencing resources into a stonith_up pseudo-action
+ PE: Bug 1628 - Complain about invalid operation intervals
+ PE: Correct the CRM_CHECK comparision
+ PE: Dont log stopped orphaned resources
+ PE: Fix the handling of remove-after-stop=true - it was causing unnecessary restarts
+ PE: Fix two small memory leaks detected by Valgrind
+ PE: Fix up the tests now that compare_version() functions correctly (as of cs: 7d69ef94a258)
+ PE: Handle two new actions in text2task
+ PE: Include description for the remove-after-stop option
+ PE: Make sure ptest always does a POSIX sort
+ PE: Move the creation of stonith shutdown constraints to native_internal_constraints()
+ PE: NoRoleChange shouldn't always call PromoteRsc for master resources
+ PE: Potential use of NULL
+ PE: Regression: Allow M/S resources to be promoted based solely on rsc_location constraints
+ PE: STONITH Shutdown ordering
+ PE: Streamline STONITH ordering. Make sure 'all_stopped' depends on all STONITH ops.
+ PE: Update one more regression test output now that it has been verified as still correct
+ PE: Update testcases to include all_stopped (added in cs: 800c2fec24ee)
+ PE: Use master scores to determine which clones to start where
+ Put deBug in in support of Bug 1154: 2.0.4 BSC failure - select() returns with error
+ Put in a change to allow CTS to run.  There is a sort-of-bug (in BSC/CTS) underlying this that I'll have to file a bug on.
+ RA: Add some extra variables dug out from configure
+ RA: Bug #1630 IPaddr2 - Wrong arguments passed to send_arp (test was mistakenly written as an assignment)
+ RA: Convert a number of checks for required binaries
+ RA: Delay (v1) - Remove extra characters from call to ra_execocf
+ RA: Dummy: Just add a comment to make sure people copying from this
+ RA: Filesystem: Unify coding style to match rest of script.
+ RA: IPaddr2 - Remove bash-isms
+ RA: IPaddr2 - handle IP_CIP not being defined
+ RA: IPaddr: Fix a few trivial bugs in lvs_support pointed out by Michael Stiller.
+ RA: LSBDummy - Make sure the action is passed to ra_execocf
+ RA: MailTo: Remove spurious warning about monitor.
+ RA: Move all remaining autoconf variables into common files that are automatically included
+ RA: Move some helper files to their new names (.files dont show up as RAs)
+ RA: Revised handling of directory locations
+ RA: ServeRAID - remove commented out code
+ RA: Use consistent check for required binaries
+ RA: o2cb: Improve configuration stability.
+ RA: o2cb: Optimize redistribution of cluster.cnf.
+ RA: prefer the 'test' program rather than the builtin for some reason
+ RA: v1: IPaddr: Unconditionally enabling LVS support is a mistake.
+ TE: Log the node's uname instead of UUID for completed actions
+ TE: Set failcount to INFINITY for resources that fail to start or stop
+ Tools: Bug 1653 - Further changes to prevent use of NULL when no attribute is specified
+ Tools: Bug 1653 - Misc attrd/attrd_updater cleanups suggested by Keisuke MORI
+ Tools: Bug 1653 - attrd crashes when no attribute is specified
+ debian: Add new dot-ocf files to the heartbeat package
+ debian: Add the ldirectord OCF resource to the ldirectord package
+ debian: Debian bug #432441 will be closed on the next upload
+ debian: Don't create hb_gui symlink
+ GUI: update path for png images in haclient.py
+ ldirectord: Use globals for service check return values
+ ldirectord: Add OCF wrapper
+ ldirectord: Add Oracle check
+ ldirectord: Add external check
+ ldirectord: Add forwarding mechanism to real server ID
+ ldirectord: Add ld_service_to_port()
+ ldirectord: Call ld_emailalert_send() with correct arguments
+ ldirectord: Clean up execute logic in check_sql
+ ldirectord: Cosmetic spelling and grammar fixes
+ ldirectord: Document expire_quiescent_template
+ ldirectord: Document that checktimeout is for ping checks too
+ ldirectord: Don't access CALLBACK unless it is defined
+ ldirectord: Don't die if Net::FTP times out
+ ldirectord: Enhance ftp check debugging
+ ldirectord: Enhance logging in service_set
+ ldirectord: Fix bogus detection of combined check
+ ldirectord: Fix logic bug in _status_down
+ ldirectord: Handle $dbh->prepare() failure in check_sql()
+ ldirectord: List checktype and service in alpabetical order in the documentation
+ ldirectord: Make check_sql < 80col wide
+ ldirectord: Make parsing of the output of ipvsadm more robust
+ ldirectord: Note negotiatetimeout in documentation of checkcount
+ ldirectord: Port of last resort for real server checks
+ ldirectord: Remove connecttimeout
+ ldirectord: Remove stale entries on reload
+ ldirectord: Remove trim down very wordy decripton of read_config
+ ldirectord: Set default negotiatetimeout to 30s
+ ldirectord: Status to stdout
+ ldirectord: Tidy up fallback
+ ldirectord: Use $dbh->errstr instead of $dbh->err when logging
+ ldirectord: Use an alarm for HTTPS timeouts
+ ldirectord: Use goto for error handling in check_sql
+ ldirectord: Use negotiatetimeout and connecttimeout as mutual defaults
+ ldirectord: Use negotiatetimeout for SIP, DNS and Radius checks
+ ldirectord: Use valid string in log message in check_connect()
+ ldirectord: document port behaviour of real servers
+ ldirectord: rearange parsing of service to make it <= 80col (more often)
+ build: Move ldirector OCF resource into the ldirectord package
+ apache RA (LF 1656): include ServerRoot in relative paths.
+ cib: Fix detection of non-status changes
+ configure: Remove unneeded AC_PATH_PROGS checks
+ crmd: Bug 1575 - crmd cannot exit if lrmd is killed and there are pending ops
+ crmd: Bug 1624 - Fix the delete op for cancelled operations
+ crmd: Bug 1655 - crmd can't exit when the PE or TE is killed from underneath it
+ crmd: Only remap monitor operation status to LRM_OP_DONE under the correct conditions
+ log: avoid handing a null pointer as a '%%s' variable
+ pingd: Hard code the name used for logging
+ re-enabled code to make symlinks for moved files.
+ remove is_stable() condition from drbd-outdate-peer daemon
+ shellfuncs: 's%%:.:%%%%' should be 's%%:.:%%:%%'; the '.' should be '\.'
+ stonith: external/riloe - new comment in the xml on how acpid may affect the performance (thanks to Guy Coates).
+ stonith: riloe - fix the xml info.
+ stonith: ibmrsa - fix the xml info.
+ stonith: ibmrsa - allow regular users to use it with 'stonith -n' and similar.
* Fri Jun 29 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.0-2
- Update the source tarball to revision e3c9306b9223
- Statistics:
    Changesets:	259
    Diff:		625 files changed, 13133 insertions(+), 73569^ deletions(-)
    ^ A large amount of dead code from Intel was removed
- A full list of changes can be seen at
     http://hg.linux-ha.org/dev/shortlog/e3c9306b9223
- Mercurial users can obtain the full list by executing:
     hg log -M --template "{desc|firstline|strip} CS: {node|short}\n" -rSTABLE-2.1.0:e3c9306b9223 | sort -f
* Thu Apr 19 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.1.0-1
- Update debian packaging files which drop the -2 package suffix
- Change the version number to the one used upstream
* Thu Apr 19 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.0.9-2
- Sync with the version supplied in SLES10
- Bugs fixed
+ OSDL #393 - Stonith: Update plugin from OpenHPI 2.2 to OpenHPI 2.6
+ OSDL #393 - Stonith: soft_reset is {true|1|false|0}, not {yes|no}
+ OSDL #393 - Stonith: Rename ibmbc to bladehpi
+ OSDL #393 - Stonith: Enable build of bladehpi plugin if OpenHPI present
+ OSDL #761 - RA: Remove history from heartbeat init script.
+ OSDL #1073 - Tools: Add clone support to crm_resource
+ OSDL #1138 - Long delay before CCM propagates membership event
+ OSDL #1292 - Stonith: Support xSeries STONITH (IBM: 06-R212-175)
+ OSDL #1339 - IPC code limits possible cluster size
+ OSDL #1374 - Tools: Check for sane host names when migrating
+ OSDL #1428 - Stonith: Mixing definitions and code
+ OSDL #1430 - CIB: Allow automatic assignment of object IDs
+ OSDL #1451 - Tools: Allow resource meta attributes to be set with crm_admin
+ OSDL #1457 - RA: Resolve unknown command ha_log
+ OSDL #1462 - Tools: crm_migrate should allow creating temporary rules
+ OSDL #1465 - crmd: crmd gets stuck if shutdown while starting up
+ OSDL #1472 - CIB: Use-after-free in find_attr_details()
+ OSDL #1480 - CIB: Create synchronous r/w connections correctly
+ OSDL #1482 - Stonith: stonith command needs a repeat option to make it a better test tool
+ OSDL #1484 - PE: Repair on_fail=stop.  Patch courtesy of YAMAMOTO Takashi.
+ OSDL #1486 - PE: Fix for potential NULL dereference
+ OSDL #1488 - Stonith: Fix passing password to HMC
+ OSDL #1489 - Stonith: Fix HMC errors in hostlist
+ OSDL #1492 - PE: Set common resource attributes before calling the custom unpack function
+ OSDL #1494 - PE: Add node->score to the clone stability function
+ OSDL #1499 - PE: Perform #uname comparisions without case
+ OSDL #1500 - Tools: Calls to attrd_updater with dampen=0 not processed correctly
+ OSDL #1505 - Findif parsing is all screwed up unless all the parameters are passed, not defaulted.
+ OSDL #1506 - Stonith: Add optional ibmhmc plugin parameters to meta-data
+ OSDL #1507 - Stonith: Allow "stonith -h" to display help for specific device
+ OSDL #1511 - LRM: running two actions for the same resource parallel
+ OSDL #1514 - CRM: Empty values in cib.xml loses other RA parameters
+ OSDL #1523 - Stonith: bladehpi performance enhancements
+ OSDL #1528 - RA: IPaddr2 gives a spurious warning on stop (SGI961736)
+ OSDL #1532 - crmd: Single node cluster shutdown
+ OSDL #1554 - PE: Probes should not have priority INFINITY
+ OSDL #1534 - LRM: Compiliation error on OpenBSD
+ OSDL #1544 - Comms: mixed versions of 2.x and 1.x not working
+ OSDL #1545 - Stonith: stonithd signoff fixesO
+ OSDL #1548 - logging: Ensure logs are logged using the correct component name
+ OSDL #1550 - Stonith: Suicide plugin returns hostlist containing itself
+ OSDL #1553 - Stonith: suicide plugin lacking ST_DEVICENAME
+ OSDL #1554 - crmd: Wait for the membership to stabilize before starting transitions to prevent unconfirmed actions
+ Debian #420206 - RA: Bashisms in IPaddr2
+ Novell #239075 - Admin: crm_master uses the same IDs for permanent and transient attributes
+ Novell #239079 - PE: Ensure action priority is set correctly to ensure notifcations are not lost
+ Novell #239082 - PE: Order promotions after _all_ demotions have completed
+ Novell #239086 - PE: Stable Master placement
+ Novell #244444 - crmd: Free'ing g_alloc() data with cl_free()
+ Novell #246681 - PE: Teach NoRoleChange() how to migrate resource's in the master role
+ Novell #250207 - Split-brain caused by non-identical ping-node configuration and auto-join
+ Novell #250273 - RA: Provide an RA for managing evmsd as a resource
+ Novell #250625 - RA: Xen: Fix status function for newer Xen versions
+ Novell #251689 - PE: Avoid needlessly restarting changed monitor operations for stopping resources
+ Novell #252693 - PE: Enable migration in more scenarios
+ Novell #252693 - PE: Teach the PE how to migrate resources in a starting stack
+ Novell #266551 - Stonith: getconfignames returned hostname instead of hostlist
+ Novell #266551 - doc: Bring the stonith man page up-to-date
- Build Improvements
+ Add explanatory comment for configure kludge
+ Add lha_internal to c-files that dont include it
+ Allow debian packages to also be built directly from Hg archives
+ Always check for the presence of PAM an TLS headers
+ Configure switch to easily enable Valgrind'ing of the CRM
+ Dont install crm-related man pages when --disable-crm is used
+ dopd doesnt build without the crm, disable it if the crm is disabled
+ Fix typo in configure.in
+ Header-file related cleanup
+ Include the exact version being built even when building an archived tree
+ Make supplying a Valgrind suppression file simpler
+ Misc changes to allow building with crm disabled
+ Not all platforms need -lpam
+ Remove redundant and useless items from the build
+ removed unused library dependancies
+ Use existing accounts when building on OSX
+ debian: correct the location of stonith headers in *.files
+ debian: reflect the new header locations in .files
+ debian: sort out a kink in the configure vs. bootstrap logic
+ debian: Packaging updates for 2.0.8-1 release
+ debian: Add heartbeat-2-gui package control files to Makefile
+ Improved grammar in gui package description
+ Improve portability across versions of 'gcc'.
+ Allow data size to be specified
+ Ensure 'awk' is found in runtime environment
+ Use centrally determined GNUTLS cflags and libs
+ Replace multiple derivations (poor) of locations with direct derivation from configure
+ configure: Add closing information to user about '/etc/passwd' and 'make install'
+ Remove an unnecessary 'include' that broke building on some OSes.  It continues to build OK on various OSes.
+ Bourne shell 'test' does not support '-e' flag.  Using '-r' instead.
+ libgnutls: if no 'libgnutls-config', try 'AC_CHECK_LIB(...)'
+ Determine GNUTLS libs centrally in 'configure.in' rather than in individual Makefiles
+ Correct omission of <lha_internal.h>
+ ipctransient tests: Add some flexibility; rationalise some duplicate code
+ ConfigureMe: make usage info a little clearer
+ Add some defaults to configure.in to reduce buildrequires.
+ Remove a bunch of dead code (Perl/SWIG bindings).
+ configure: Check for more pre-requisites of the mgmt/quorum components.
+ Fix use of a future dates in the changelog
- CRM Library Enhancements and Fixes
+ Fix xml parser bug.
+ Allow retrieval of default config values without a hashtable
+ Changes to fake transition key generation
+ Check the return code from fflush() when writing xml files - AnÃbal Monsalve Salazar
+ Comprehensive review of error recovery logic for potentially failed calls to fopen()
+ Correctly handle syslog facility == 0
+ Delete dead code, make empty_uuid_cache() safe with NULLs
+ Dont call fflush() or flclose() if the output stream was NULL
+ Ensure the normalized result of (add|subtract)_time is updated before returning
+ Fix a use-after-free in parse_time_duration()
+ Fix replace_xml_child() when neither child nor update have an id
+ Fixes for Coverty issues: 52, 55-58, 61-66, 68-69, 71-73 in run 240
+ Gracefully fail when the target XML file is not writable
+ handle NULL inputs to xml_has_children() gracefully
+ Make the use of valgrind a run-time option
+ Memory leak fixes
+ Prevent a number of potential use-after-free's by zero'ing out free'd loop variables
+ Refactor date printing to allow date -> string conversion
+ Remove noisy and inaccurate memory logging
+ Repair the status_printw macro now that we do logging slightly differently
+ size_t is always positive... broke error handling in XML parser.
+ Use-of-NULL in validate_with_dtd() error path... Only clean up what we created
+ When malloc tracking is enabled, pass through the person that called crm_strdup
- CLI Enhancements and Fixes
+ Uninitialized string in heartbeat/findif.c
+ Allow cluster config options to be queried/modified/deleted.  Broken in cs: 13c450735ba7
+ Allow crm_verify to be used with a named DTD file
+ Auto populate the provider for OCF resources if one is not provided
+ crm_primitive.py: Include all node preferences in the one rsc_location constraint
+ Include rsc_location details in the resource listing
+ map cib_NOTEXISTS to 0 for crm_failcount
+ Use the current node uname by default when invoked as crm_standby
+ Add two new views to crm_mon.  Patch by Christofer Edvardsen.
+ Centrally define CIB call options so that -f always works in crm_resource
+ Compile when malloc checking is off, fix last mem leak
+ crm_verify - dont complain about missing status section
+ Dont do ID checks on cibadmin diff's, duplicates are expected
+ Fix a number of memory leaks in attrd
+ Help text and input sanity checks for ocf-tester
+ Include class/type/provider in resource delete commands
+ Place the lifetime rule in the correct location
+ Set a slightly higher default action timeout
+ Show help text for crm_uuid
+ Teach crm_uuid to write ascii-form UUIDs to hb_uuid
+ Terminate the attrd process if heartbeat exits from under it
+ lrmadmin: fix the provider list function: first free data and then the list member.
+ crm_attribute/master/standby: Always default the uname to the current machine
- CIB Enhancements and Fixes
+ Allow cluster options to be created when the default set is not present
+ Allow the remote connection code to be used with or without PAM/TLS
+ Clean up memory at exit
+ Fix a number of memory leaks
+ Compile when malloc tracking is enabled
+ Don't increase the version number if nothing changed
+ Dont examine the group ownership of cib.xml since we set perms to rw-------
+ Exit the writer process correctly so we'll continue to do write outs
+ Prevent node_uuid from having any effect for <crm_config> changes
+ Remove dead code
+ Support processing of commands sent via remote TLS connections.
  See http://www.linux-ha.org/v2/cib_remote for usage details
+ The decision to log failed connection attempts should be left to the client
+ Warn at startup if important version information is missing
- CRMD Enhancements and Fixes
+ ALL completed actions should be removed from the shutdown_list
+ Correctly parse the shutdown timer option
+ Create the restart digest from an object with the same name that the PE uses
+ Delete the HA connection only at exit
+ Enable Valrind'ing of the PE and TE
+ Indicate the LRM error code if an operation cannot be cancelled
+ No need to create the resource if we're trying to delete it
+ Free memory at shutdown
+ Resolve a number of memory leaks
+ Sort out the whole client deletion business.  Also delete the resources hash at shutdown.
+ Improved Logging
+ Remove dead code
- Policy Engine Enhancements and Fixes
+ Always print the resource's node scores
+ Avoid a potential NULL dereference in an error path
+ Clean up generation of and contents of dot-files
+ Create an implicit "cant run here" constraint if an action returns "not installed"
+ Don't start resources until we can verify they're not still running
+ Dont waste time checking action definitions on nodes that wont be running resources
+ Fix a use-after-free of {key} when the monitor op already existed
+ Fix anti-colocation when the RHS is not running
+ Fix gcc warning - dont ignore the result of mktemp()
+ Fix group recovery when a group it depends on is restarted
+ Have group-group recovery work for the right reasons
+ Memory leak fixes
+ Make clones ever so slightly sticky by default
+ Make internal group ordering of bullet-proof
+ Make sure things that shouldn't be true are never true (added asserts)
+ Move DeleteRsc to a more appropriate location
+ Move Ncurses related defines to a more optimal location and make sure its included by crm_mon
+ Not all pseudo operations should be included in the graph
+ Only show elements of the graph in the dot-file by default
+ Prevent a potential NULL deference in clone allocation
+ Provide useful feedback when a cloned resource is found active somewhere it shouldn't be
+ Re-use StartRsc/StopRsc for consistancy
+ Rename elements of the pe_ordering enum for clarity
+ Rename migration variables for clarity
+ Updated regression tests with the revised consistant format
+ Utility functions for finding node's by uuid/uname
- Transitioner Enhancements and Fixes
+ Clean up memory on exit
+ Detect changes to attributes of the cib object
+ Only a limited number of cib attributes warrent aborting the transition
+ Unpack graph actions correctly
+ Improved logging
+ Removed dead code
- Misc
+ Allow heartbeat to easily run with standard libc malloc-and-friends
+ Allow the malloc tracking code to compile on systems where size_t != int
+ Allow writing to syslog to be turned off
+ Better information about valgrind enablement
+ Sanitize the "crm xyz" option processing.  Dont run valgrind if not using libc malloc
+ The DTD used "integer" instead of "number" (which was used by the code)
+ Stonith: Update the rilo RA with enhacements from Tijl Van den broeck and Guy Coates
+ Moved drbd peer outdater into contrib/
+ clplumbing: We _never_ want to trim memory, use -1 instead of 4*size.
+ clplumbing: Coverity 53: Potential NULL pointer dereference.
+ mgmtd: Certain versions of SWIG do not convert the Python "None" to a
+ initscript: set correct Provides: and Should-Start: entries
+ Stonithd: Relaxed a stonithd timeout so that start will succeed if it completes in a minute
+ Dont log dispatch warnings unless they exceed 30ms instead of 10ms
- LRM Enhancements and Fixes
+ Inform clients when an RA is not installed on the machine
+ Expanded regression testing
+ convert the LSB meta-data to XML.
- Resource Agent Enhancements and Fixes
+ -eq is for integer comparisions
+ Avoid concatination with None in riloe stonith agent
+ Filesystem - When checking ocfs2 is cloned, look for variables that are always set
+ Fix up the Dummy metadata
+ Fix variable initialization in pgsql
+ LVS support should always be enabled for the heartbeat IPaddr wrapper
+ Modify the Xen RA to use the new variable names
+ Return after performing a stop action in the Filesystem agent
+ Use configured scratch locations in ibmrsa stonith agent
+ bladehpi readme update
+ Dummy, mysql and drbd - fix meta-data to conform to XML.
+ Convert SAP* from dos
+ Allow ManageRAID to show meta-data at all times.
+ Enhance Pgsql ocf resource to handle multiple instances
+ Xen: Add a little reminder to the code.
+ drbd: Fix some issues and work-arounds for drbdadm bugs.
+ Filesystem: Prune duplicates from active and starting list.
+ Filesystem: Fix metadata require/unique settings.
+ Xen: Fix status function for newer Xen versions (Novell 250625)
+ Filesystem: Increase default suggested timeouts.
+ drbd: When using the nodename-override, drbdadm likes to print an
+ Xen: Swap migrate_to and _from to match PE.
+ Filesystem: Harmless typo corrected.
+ LVM: Add some hints for future todo items.
+ EvmsSCC: More fixes from Jo (Novell 199730)
+ Filesystem: Move ocfs2_init out of the generic stop path (Novell 250603).
+ pgsql: Several enhancements to by Keisuke MORI
+ drbd: Make parsing of drbdadm output more robust.
+ drbd: If drbd is stopped, demote should fail with NOT_RUNNING.
+ Xen: Advertise migrate_from and _to actions. Mention migrate in meta-data.
+ drbd: Add support for overriding the hostname drbd uses based on the clone
+ Filesystem: Whitespace cleanup and minor fixes ("" for -z arguments, using -ne when
+ IPsrcaddr: Added count of how many inet lines to use for the diff -B
+ external/riloe misspelled RI_LOGIN variable name.
- ldirectord Enhancements and Fixes
+ Use $arrayOfDNs[0] instead of @arrayOfDNs[0] to get rid of the following
+ Remove duplicate $recstr
+ Change the code around a bit to avoid a warning about code following exec
+ Dont use SIGENT, as it doesn't seem to exist.
+ 92d4e521db53 Handle $line more carefully
+ Make sure that frequency is intialised before it is used
+ Use $$ instead of (the uninitialised) $pid
+ Remove useless calls to lc()
+ Make sure that DEBUG is initialised
+ Use implicit variables in read_config()
+ Use the -w flag to perl to find warnings/errors
+ Make ldirectord's version valid
+ If weight is not supplied, set it to 1
+ Fix broken reload command
- Testing Improvements
+ Account for a small timing window in the ResourceRecover test
+ Explain why we're aborting when nodes aren't found in DNS
+ Ignore ResourceRecover testing artifacts
+ Indicate debug log messages
+ Improved Logging
+ Remove resource tied to the DC - the #is_dc comparision is irrelevant
+ Rewrite the LSBDummy RA
+ Rewrite the ResourceRecover to use asynchronous failures
+ BSC: (1) test IPC before its dependencies; (2) signal-handling: improve and catch some more.
+ ocf-tester: Continue if validate-all succeeds.
+ ocf-tester: Exit with appropriate exit code for success or failure.
+ ocf-tester: Various integers were compared as strings.
+ BSC: Test Dummy, IPaddr, IPaddr2, Filesystem RAs.
+ BSC: Skip IPaddr2 test if ip not installed.
* Tue Mar 13 2007 Andrew Beekhof <abeekhof@suse.de>
- version 2.0.9-1
- New Upstream
* Tue Jan 30 2007 Simon Horman <horms@debian.org>
- version 2.0.8-1
- New Upstream
+ Allow colocation based on node attributes other than #id
+ SAPDatabase and SAPInstance resource agents added.
+ Core/CRM: Improvements to the memory allocation, message, and string
  handling libraries result in an overall speed-up of 65%%.
+ CRM: Fix ISO date handling for Jan 01 of any year.
+ CRM: Only update the voted hashtable with no-votes for the current
  election.
+ RA: IPaddr: Support netmask both in CIDR and in dotted-quad notation.
+ logd: Fix trailing random byte in log messages (OSDL 1268).
+ heartbeat:  Work around a glibc/times() bug to prevent failures every
  497 days on 32-bit Linux (OSDL 1407).
+ heartbeat: Retransmits were requested more often than they'd be
  honored (OSDL 1455).
+ CTS/PE: Introduce CRM option "startup_fencing" to disable fencing of
  unseen nodes, because CTS can't handle this.
+ PE: Split-off "network-delay" option from global_timeout to separate
  network delays from action timeouts.
+ PE/CRM: Binaries now support being called with "metadata" command to
  document the complete list of options in the CIB.
+ PE: DTD: Include start_delay as a property of operation objects.
+ PE: Fix implementation of date_spec when no range is specified.
+ PE: Enforce clone_node_max for already running resources.
+ PE: Clones were not being stopped on node shutdown.
+ PE: Allow resource colocation based on node attributes other than #id
  (node_attribute option added to rsc_colocation constraint).
+ PE: Improved handling when timeout < start_delay (OSDL 1421).
+ PE: Pre-notifications for promote occured before start was completed
  (OSDL 1447).
+ PE: Allow any two pairs of actions to be specified for rsc_order (OSDL
  1452).
+ PE: Handle asymmetric clusters where RAs are not installed on all
  nodes.
+ PE: Allow resource stickiness and failure stickiness to change based
  on node attributes.
+ CIB: Fix update_attr() causes attrd to hang at shutdown when there is
  no DC (OSDL 1432).
+ CIB: Corrupted config file prevents heartbeat restart (OSDL 1385).
+ CIB: Startup processing improvements; DTD validation will be
  automatically activated if the CIB on-disk validates.
+ TE: Fix memory leak.
+ TE: Failcount wasn't being updated in all cases.
+ TE: never update the CIB with unconfirmed stop actions (OSDL 1435).
+ CTS/RA: Replace OCFMSDummy with Stateful RA.
+ CCM: Centralize quorum calculation on the transition leader.
+ CCM: Support split-site and external quorum servers.
+ CRM: Ignore status update for non-members (ie, ping nodes).
+ LRM: Don't postpone postponed resources.
+ LRM: Fix restart in case an lrmd is already running (OSDL 1333).
+ LRM: Fix overflow in RA output handling (OSDL 1433).
+ mgmtd: Robustness and memory leak fixes.
+ mgmtd: make the port used configurable (OSDL 1390).
+ haresources2cib.py: Improve v1 to v2 conversion tool (OSDL 1415).
+ GUI: ping nodes appear as failed in gui (OSDL 1394).
+ GUI: Reduce duplicates in RA list by only showing the OCF one if both
  ocf and hb RA exist) (OSDL 1338).
+ GUI: Add new resource to currently selected group (OSDL 1414).
+ GUI: support all attributes of operations (OSDL 1372).
+ GUI: Create first resource along with a new group; delete group when
  last resource is removed (OSDL 1287).
+ GUI: Set defaults for clones and m/s RAs (OSDL 1352).
+ GUI: Use meta-data defaults when creating actions (OSDL 1351).
+ GUI: GUI: start all sub resources when we start a group or a clone
  (OSDL 1449).
+ GUI: support ordered==false or non-collocated==false groups (OSDL
  1257).
+ stonithd: Fix memory leak.
+ stonithd: Remove reliance on farside_pid (OSDL 1412).
+ stonith external/riloe: Make the login name and iLo device address
  configurable.
+ crm_resource: Add manpage.
+ RA: PureFTPd, mysql, ManageVE (to manage an OpenVZ container),
  ManageRAID, WAS6 (Websphere 6) added.
+ RA: Include SAPInstance and SAPDatabase (FATE 2172).
+ RA: IPaddr cleanup to avoid race conditions in the script. Report
  status failure when an IPaddr is active on a different interface but
  allow it to be stopped.
+ RA: IPaddr2 fixes for loopback bound addresses.
+ RA: Filesystem reported wrong status/monitor results for OCFS2 in some
  circumstances (Novell 187080).
+ RA: Improve heartbeat v1 wrappers.
+ RA: Fix db2 monitor operation.
+ RA: ldirectord: Make the emailalert and emailalertfreq options global
  as well as non-global, make checkcount global as well as per-virtual,
  add radius check, improvements to documentation.
+ RA: pgsql: Make server logfile configurable and implement
  validate-all. New parameter ctl_opt added to pgsql to support
  additional options for pg_ctl.
+ CRM: First beginnings of a cluster-wide shell (FATE ...)
+ BEAM / Coverity induced fixes.
+ Minor compatibility fixes (OSDL 1405).
+ Logging improvements all over the place.
+ Extended support for master-slave resources (FATE 300723).
+ OCF RA API compliance checker (FATE 300737).
+ Support weak and uni-directional collocation constraints (FATE
  300792).
+ Many bugfixes.
- errata: CVE-2006-3121 was incorrectly refered to as CVE-2006-3821 in
  the changelog for 2.0.6-2 and 2.0.7-1
- Dropped the following patches as they are now upstream
  - ldirectord-1.141-emailalert-2-global.patch (introduced in 2.0.6-2)
- Remove alternate dependancy on netkit-ping as it is being removed
  from Debian
* Thu Nov 30 2006 Simon Horman <horms@debian.org>
- version 2.0.7-2
- Add dependancy and build dependancy on psmisc for fuser
  Thanks to Hans-Joachim Baader
- Acknowldge NMU by Roger Leigh
* Mon Aug 14 2006 Simon Horman <horms@debian.org>
- version 2.0.7-1
- New Upstream
 - Remote Denial of Service attack (#195068, CVE-2006-3121).
 - Bugfixes to the CRM, the LRM and the GUI.
 - GUI failed to connect to and retrieve data from the cluster (#198747).
 - Improved log messages.
 - ptest can now read compressed XML directly. Do not include optional
   actions and dependancies in ptest output by default.
 - crm_resource will now warn and demand exact specification when trying
   to modify an attribute while several sets are present.
 - lrmd now limits itself to a maximum of 4 child processes, to avoid
   overloading the node and causing too long delays.
 - pengine: Processing of pending probes; should not be treated as if the
   resource is running or in a known state.
 - target_role now is only taken into account for managed resources.
 - cib: Detect more cases where the nodes section needs to be refreshed.
 - More accurately determine node status. (OSDL 1369)
 - Filter out stop requests that would require a resource to be added.
   (OSDL 1369)
 - Send filtered resource "stops" as successes as to not block waiting
   for filtered actions.
 - By default pass the TE graph via IPC until its too large for IPC to
   deal with, only then fall back to passing via the disk.
 - Stopping of stonith resources can never require stonith, even if the
   node its running on failed; prevent graph loop. (OSDL 1376)
 - STONITH events need to inputs to start events (not stops), to avoid
   graph loop in combination with "stop before" dependencies (ie,
   groups).
 - crmd: Dont stall the FSA if we try to invoke the TE after we've
   stopped it.
 - Always unpack the correct part of a diff operation; diffs should now
   apply in more cases, reducing the need for full refreshs.
 - Correctly observe --disable-snmp-subagent during build.
 - In some states the membership is invalid and shouldn't be referenced.
   (OSDL 1377)
 - Fix a use-before-null-check issue in lrmd. (Coverity #48)
 - OCF Resource Agents outside the default path were incorrectly found to
   be not executable.
 - ccm: hostcache and delnodecache files should not be authoritative if
   autojoin is disabled. (OSDL 1226)
 - With autojoin, llm_get_nodecount() can't return the real max nodes
   anymore, this may cause memory corruption. (OSDL 1382)
 - Fix a memory corruption in membership layer, more frequently observed
   with larger (>5) clusters.
 - Change the default api-auth for pingd to uid=root
 - Dummy RA now OCF compliant.
 - Fix pingd RA metadata to be XML compliant.
- Dropped the following patches as they are now upstream
  - ldirectord-1.141-emailalert-1-quiet.patch  (introduced in 2.0.6-2)
  - ldirectord-1.141-readline_workaround.patch (introduced in 2.0.6-2)
  - CVE-2006-3821.patch                        (introduced in 2.0.6-2)
* Tue Aug  8 2006 Simon Horman <horms@debian.org>
- version 2.0.6-2
- ldirectord-1.141-emailalert-1-quiet.patch
  Don't send email alerts if the alert address is not configured
- ldirectord-1.141-emailalert-2-global.patch
  Allow emailalert and emailalertfreq directives to be global
  as well as per-virtual service
- ldirectord-1.141-readline_workaround.patch
  readline doesn't seem to return lines after Net::FTP
  has been called, so split them up by hand.
- Added recommends iptables to heartbeat, as it is needed
  for the portblock resource to function correctly
- Added /var/lib/heartbeat/pengine directory
- Replace 02-chown-check.patch with chown-check-2.patch
  - use the environement variable FAKED_MODE instead of FAKEROOTKEY to check
    if code is runing in fakeroot. At some stage around fakeroot 1.5.10
    FAKEROOTKEY disapeared. Ran autoconf manually to effect this change
    after repatching.
  - Updated 02-chown-check.patch: fix typos in comment
- CVE-2006-3821.patch
  Fix remote denial of causes caused by insufficient bounds checking
  on data read from the network.
  CVE-2006-3821
- Python transition - http://wiki.debian.org/DebianPython/NewPolicy
  - Update build dependancy on debhelper from (>= 4.0.0) to (>= 5.0.37.2)
  - Add dh_python call to debian/rules
  - created debian/pycompat with contents of "2"
  - heartebeat: deplaced depenancy on python with one on ${python:Depends}
  - Added XB-Python-Version: ${python:Versions} to each package
  - Replace build dependancy on python2.3-dev with one on python-dev
  - Use python-central
    + Add build depends on python-central (>= 0.5)
    + Add dh_pycentral call right before dh_python in debian/rules
    + Add XS-Python-Version: current in the source stanza of debian/control
* Wed Jul  5 2006 Simon Horman <horms@debian.org>
- version 2.0.5-8
- ldirectord-2: Add missing dependancy on libmailtools-perl
                (Mail::Send)
- ldirectord-2: Add missing dependancy on libnet-perl
                (Net::SMTP, Net::FTP, Net::POP3)
- ldirectord-2: Remove unneccesary dependancy on adduser
- Automake transition: http://wiki.debian.org/AutomakeTransition
  - Remove unneccesary build-depends on automake1.9 | automaken
  - Remove unneccesary build-conflicts on automake1.4
* Thu Jun 29 2006 Simon Horman <horms@debian.org>
- version 2.0.5-7
- Don't run deluser and delgroup in postrm
  - These commands may not be available at this time
  - If there are any files left that belong to this user or group
    then they will be left unowned and get inhereited by the
    next user that comes along that happens to have hacluster's
    old userid or the old haclient groupid respectively.
* Mon Jun 12 2006 Simon Horman <horms@debian.org>
- version 2.0.5-5
- Reverse the change made in 2.0.5-4
  It turns out that in heartbeat (as opposed to heartbeat)
  is a script which calls a binary that is located in
  /usr/lib/ocf/resource.d/heartbeat/
* Mon Jun 12 2006 Simon Horman <horms@debian.org>
- version 2.0.5-4
- Move IPv6addr from /etc/ha.d/resource.d/ into /usr/lib/heartbeat,
  and then symlink that back into /etc/ha.d/resource.d/ as binaries
  are not allowed in /etc
* Mon Jun  5 2006 Simon Horman <horms@debian.org>
- version 2.0.5-3
- Fix libgnutls binary dependancy
  - Build-Depends on libgnutls-dev instead of libgnutls13-dev
  - Recompile against libgnutls13 in place of libgnutls11
  -
* Fri May 19 2006 Simon Horman <horms@debian.org>
- version 2.0.5-2
- Make use of invoke-rc.d
- Update from standards versoin from 3.6.2 to 3.7.2
* Tue May  9 2006 Simon Horman <horms@debian.org>
- version 2.0.5-1
- New Upstream
- Removed build depenancy on openssl-devel,
  as heartbeat no longer uses openssl directly.
  (Libraries that heartbeat depends on may in turn
   depend on openssl creating an indirect depenancy
   or build-dependancy).
* Wed Mar  8 2006 Simon Horman <horms@debian.org>
- version 2.0.4-1
- New Upstream
- Don't try and stop heartbeat in preinst on the first install
* Tue Feb 14 2006 Simon Horman <horms@debian.org>
- version 2.0.3-2
- Add build dependancy on libncurses-dev to allow crm_mon to work
  Thanks to Guy Coates
- Move hacluster user and haclient group creation (don't ask me why the
  user and group names are different) from preinst to postinst.
  Once upon a time there might have been a need for it in preinst,
  but the current packaging changes files to have the hacluster user
  and haclient group as neccessary in the postinst. So there is
  no need to create them before postinst.
  This is a better fix to #352158, and the pre-depends on adduser
  has been changed to a depends accordingly.
- Stop heartbeat in preinst
* Sat Feb 11 2006 Simon Horman <horms@debian.org>
- version 2.0.3-1
- New Upstream
- Make sure adduser is passed the --system flag
- Slightly Enhanced package descriptions
- Add build dependancy on swig
- As PYTHON_PATH has been added to configure.in it seems that autoconf1.4
  can no longer build this tree.  Currently autoconf is provided by
  autoconf1.4, and autoconfn is a virtual package provided by autoconf1.7,
  1.8 and 1.9.  Accordingly, replace the autoconf build dependancy with
  autoconf1.9 | autoconfn.  And add a build conflict on autoconf1.4. This
  way the autoconf command should be autoconf1.7, 1.8 or 1.9, but not 1.4
  as was previously the case.
- Don't apply 00-ssh_scp_path.patch as it should no longer be needed,
  instead add a build dependancy on openssh-client.
  Also removed call to relevant configure options.
- Removed configure option that no longer exists
  --enable-checkpointd
- Removed configure options that are now on by default
  --enable-crm --enable-lrm
- Add build dependancy on libgnutls11-dev, as 1.0 probably doesn't
  compile as _t types don't exist.
  http://lists.gnu.org/archive/html/help-gnutls/2004-08/msg00001.html
- Fix insonsistency between hb_stanby(1) man page, an the wiki
- Make /usr/bin/cl_status setgid
- Make sure that /var/run/heartbeat/{ccm,crm} exist on install
  else postinst, and thus the install will abort.
- Fix inconsistency between hb_standb(1) man page and wiki
- Add Pre-Depends on adduser
- Add management tool
  ./confgure --enable-mgmt
  Build-Depends: python2.3-dev, libpam0g-dev
* Wed Oct 19 2005 Simon Horman <horms@debian.org>
- version 2.0.2-5
- Change libcurl3-dev dependancy to libcurl3-openssl-dev
* Thu Sep 29 2005 Simon Horman <horms@debian.org>
- version 2.0.2-4
- Include /var/lib/heartbeat/ccm and /var/run/heartbeat/crm
* Tue Sep 27 2005 Simon Horman <horms@debian.org>
- version 2.0.2-3
- Get rid of bogus touching of config.status and friends in clean target,
  which if run as root causes build failures.
* Tue Sep 27 2005 Simon Horman <horms@debian.org>
- version 2.0.2-2
- Add build dependancy on libltdl3-dev
* Mon Sep 26 2005 Simon Horman <horms@debian.org>
- version 2.0.2-1
- New upstream
* Sat Sep 24 2005 Simon Horman <horms@debian.org>
- version 2.0.1-4
- Add /var/run/heartbeat directory to package
  http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=900
* Thu Sep 22 2005 Simon Horman <horms@debian.org>
- version 2.0.1-3
- Restrurctured  provides, conflicts and replaces
- Made heartbeat-dev depend on heartbeat, not heartbeat
* Thu Sep 22 2005 Simon Horman <horms@debian.org>
- version 2.0.1-2
- Uptream initally made the wrong tar ball avaliable for
  2.0.1 and this was used to build 2.0.1-1.
  I have asked 2.0.1-1 not to be accepted into the Debian Archive
  for this reason. 2.0.1-2 uses the updated, correct tarball from
  upstream.
- Note that this package has a binary dependancy on libssl
  only because of linking against libsnmp9 (5.2.1.2-3)
- Add build dependancy on libsensors-dev (for libsnmp9)
* Thu Sep 15 2005 Simon Horman <horms@debian.org>
- version 2.0.1-1
- New upstream
- Add /var/lib/heartbeat/cores/root, /var/lib/heartbeat/cores/hacluster
  and /var/lib/heartbeat/cores/nobody
- Remove usr/lib/stonith/plugins/stonith2/riloe.so, its
  no longer in the tree
- Enable snmp_agent
- Added new libplumbgpl
- Added new ha_logd.cf
- Added new iso8601 executable
- Temporarly remove the drac3 module as GPL code that links
  against OpenSSL is not acceptable to Debian.
  - http://lists.community.tummy.com/pipermail/linux-ha-dev/2005-August/011266.html
  - http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=853
- Update build dependncy from libsnmp5-dev to libsnmp9-dev
- Make configure chown test fakeroot aware to avoid build hang
- Fix syntax error in db OCF resource
- Make crm/test/helper.sh have #! /bin/bash
- Make resources/OCF/ocf-shellfuncs.in have #! /bin/bash
- Update FSF address
- Zero config.status, libltdl/config.log and libltdl/config.status on clean
* Wed Aug  3 2005 Simon Horman <horms@debian.org>
- version 2.0.0-2
- Add /var/lib/heartbeat/ccm and /var/lib/heartbeat/cores
* Sat Jul 30 2005 Simon Horman <horms@debian.org>
- version 2.0.0-1
- New upstream
- Added dependancy on libnet-dns-perl to ldirectord
- Added --enable-checkpointd to configure arguments
- Added --disable-snmp-subagent to configure arguments
- Added --disable-swig to configure arguments
- Add build dependancy on uuid-dev
- Readranged packages to allow heartbeat 1.2.X to exist in debian
  and heartebat 2.X to be heartbeat until heartbeat gets
  a bit more testing in the wild. Also consoldidated binary
  packages into heartbeat, and development packages into
  heartbeat-dev, ldirectord is still in its own package,
  ldirectord2, as it drags in a lot of dependancies that
  no other part of the system uses.
